DotNetResourcesExtract

DotNetResourcesExtract v1.01
Copyright (c) 2008 - 2010 Nir Sofer
Web site: http://www.nirsoft.net

Description

DotNetResourcesExtract is a small utility that scan dll/exe files of .NET applications, and extract all .NET embedded resources (Bitmaps, Gifs, HTML files, and so on) stored in them into the folder that you specify.

System Requirements

This utility requires .NET Framework 2.0

Versions History

  • Version 1.01 - Fixed bug: DotNetResourcesExtract failed to extract resources stored with a subfolder path.
  • Version 1.00 - First release.

Using DotNetResourcesExtract

DotNetResourcesExtract doesn't require any installation process or additional dll files (except of .NET Framework 2.0)
In order to start using it, simply run the executable file - DotNetResourcesExtract.exe
After you run it, Select the source filename or wildcard of the .NET application and select the destination folder to extract all resources, and then click the 'Start' button for starting the resource extraction process.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way.

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com